#!/bin/bash

LOG_FILE="/linuxcash/logs/current/artix-tools.log"
INTERFACE="$(/linuxcash/cash/bin/currentsettings -s gui:interface)"

caseDataBase()
{
    case $1 in
    0)
        startmysql
        a="`cat /tmp/output.txt`"
        dialog --backtitle "Инициализация данных" --infobox "Подождите! Идет миграция базы данных." 0 0
        /linuxcash/cash/data/db/update_db &>> $LOG_FILE
        dialog --backtitle "Инициализация данных" --infobox "Подождите! Идет инициализации базы данных." 0 0
        if [ $a == 1 ]
            then
                mysql -uroot dictionaries < /linuxcash/cash/tools/tools_avail/initial_data/dictionaries-lite.sql &>> $LOG_FILE
        elif [ $a == 2 ]
            then
                mysql -uroot dictionaries < /linuxcash/cash/tools/tools_avail/initial_data/dictionaries-lite.sql &>> $LOG_FILE
                mysql -uroot dictionaries < /linuxcash/cash/tools/tools_avail/initial_data/dictionaries-full.sql &>> $LOG_FILE
        elif [ $a == 3 ]
            then
                mysql -uroot dictionaries < /linuxcash/cash/tools/tools_avail/initial_data/dictionaries-custom.sql &>> $LOG_FILE
        elif [ $a == 4 ]
            then
                mysql -uroot dictionaries < /linuxcash/cash/tools/tools_avail/initial_data/dictionaries-lite.sql &>> $LOG_FILE
                mysql -uroot dictionaries < /linuxcash/cash/tools/tools_avail/initial_data/dictionaries-fmcg.sql &>> $LOG_FILE
        elif [ $a == 5 ]
            then
                mysql -uroot dictionaries < /linuxcash/cash/tools/tools_avail/initial_data/dictionaries-lite.sql &>> $LOG_FILE
                mysql -uroot dictionaries < /linuxcash/cash/tools/tools_avail/initial_data/dictionaries-fashion.sql &>> $LOG_FILE
        fi
        if [ $? -eq 0 ]; then
            if [ "$2" = "--maintain" ]; then
              dialog --backtitle "Инициализация данных" --msgbox "Инициализация данных успешно завершена" 0 0
            else
              echo "Инициализация данных успешно завершена" >> $LOG_FILE
            fi
        else
            dialog --backtitle "Инициализация данных" --msgbox "Произошла ошибка при инициализации данных" 0 0
        fi
        ;;
    1)
        ;;
    255)
        ;;
    esac
    clear
}

trap "rm -f /tmp/output.txt" 0 1 2 5 15

if [ "$1" = "--maintain" ]
then
    if [ $INTERFACE = "theme" ]
    then
      if [ -f  "/linuxcash/cash/tools/tools_avail/initial_data/dictionaries-custom.sql" ]
          then dialog --backtitle "Инициализация данных" --menu "Выберите способ инициализации" 0 0 0  1 "Демонстрация (продукты)" 2 "Демонстрация (одежда)" 3 "Специализированные данные" 2>/tmp/output.txt
          else dialog --backtitle "Инициализация данных" --menu "Выберите способ инициализации" 0 0 0  1 "Демонстрация (продукты)" 2 "Демонстрация (одежда)" 2>/tmp/output.txt
      fi
      SELECTED="`cat /tmp/output.txt`"
      if [ $SELECTED == 1 ]
        then echo 4 > /tmp/output.txt
      elif [ $SELECTED == 2 ]
        then echo 5 > /tmp/output.txt
      fi
    else
      if [ -f  "/linuxcash/cash/tools/tools_avail/initial_data/dictionaries-custom.sql" ]
          then dialog --backtitle "Инициализация данных" --menu "Выберите способ инициализации" 0 0 0  1 "Основные справочники" 2 "Демонстрация (товары, дисконт и т.д.)" 3 "Специализированные данные" 2>/tmp/output.txt
          else dialog --backtitle "Инициализация данных" --menu "Выберите способ инициализации" 0 0 0  1 "Основные справочники" 2 "Демонстрация (товары, дисконт и т.д.)" 2>/tmp/output.txt
      fi
    fi
    retval=$?

    if [ $retval = 0 ]; then
        dialog  --backtitle "Инициализация данных" --title "Подтверждение" --yesno "Текущие справочники будут удалены.\nПродолжить?" 7 40
        if [ $? != 0 ]; then
            exit 0
        fi
    fi
else
    if [ -f  "/linuxcash/cash/tools/tools_avail/initial_data/dictionaries-custom.sql" ]; then
      echo 3 > /tmp/output.txt
    elif [ $INTERFACE = "theme" ]; then
      echo "Инициализация БД будет выполнена демонстрационными справочниками (одежда)" >> $LOG_FILE
      echo 5 > /tmp/output.txt
    else
      echo "Инициализация БД будет выполнена демонстрационными справочниками" >> $LOG_FILE
      echo 2 > /tmp/output.txt
    fi
    retval=$?
fi

caseDataBase $retval $1
exit 0
